Bug 204478 - [exp-run] multimedia/libvpx: update to 1.5.0
Summary: [exp-run] multimedia/libvpx: update to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://chromium.googlesource.com/web...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-11 21:35 UTC by Jan Beich
Modified: 2015-11-14 19:44 UTC (History)
3 users (show)

See Also:
ashish: maintainer-feedback+
jbeich: exp-run?


Attachments
v0 (24.15 KB, patch)
2015-11-11 21:35 UTC, Jan Beich
jbeich: maintainer-approval? (ashish)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-11-11 21:35:51 UTC
Created attachment 163024 [details]
v0

For ChangeLog see URL field. API/ABI slightly changed which may affect consumers. Notably, ffmpeg had to be patched except avidemux, gstreamer-ffmpeg, kodi, mythtv, plexhometheater as they don't pass --enable-libvpx.

https://chromium.googlesource.com/webm/libvpx/+/a046f56%5E!/
https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.4.0.488_1_to_1.5.0/compat_report.html

My testing included:
- build on 9.3R i386, 9.3R amd64, 10.1R i386, 10.2R amd64, 11.0C amd64 (local, bash -> zsh), 11.0C armv6 (qemu-user-static), 11.0C aarch64 (qemu-user-static)
- build on 10.1R i386 with inverted options (DEBUG=ON, everything else OFF)
- build on 11.0C amd64 (local) with gcc5/libc++
- decode VP9 video via www/firefox-esr, multimedia/mpv
- encode with multimedia/ffmpeg

Exp-run prerequisites:
- make.conf: OPTIONS_SET+= VPX
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-12 06:53:36 UTC
This can sit in Ports & Packages / Individual Ports, while remaining assigned to portmgr with the exp-run flag set (as it currently is).
Comment 2 Antoine Brodin freebsd_committer 2015-11-12 08:03:15 UTC
Take for exp-run
Comment 4 Ashish SHUKLA freebsd_committer 2015-11-14 15:13:26 UTC
Hi,

Thanks for working on the update. This diff looks good to me, and has my approval.
Comment 5 commit-hook freebsd_committer 2015-11-14 19:35:09 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 14 19:34:16 UTC 2015
New revision: 401587
URL: https://svnweb.freebsd.org/changeset/ports/401587

Log:
  multimedia/libvpx: update 1.5.0

  ABI isn't compatible, so bump PORTREVISION in consumers.

  Changes:	https://chromium.googlesource.com/webm/libvpx/+log/e67d45d..v1.5.0
  ACC report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.4.0.488_1_to_1.5.0/compat_report.html
  PR:		204478
  Exp-run by:	antoine
  Approved by:	ashish (maintainer)

Changes:
  head/emulators/virtualbox-ose/Makefile
  head/games/openbor/Makefile
  head/graphics/gd/Makefile
  head/graphics/php5-gd/Makefile
  head/graphics/php55-gd/Makefile
  head/graphics/php56-gd/Makefile
  head/mail/thunderbird/Makefile
  head/multimedia/avidemux/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/files/patch-libavcodec-libvpxenc.c
  head/multimedia/ffmpeg0/Makefile
  head/multimedia/ffmpeg0/files/patch-libavcodec-libvpxenc.c
  head/multimedia/gstreamer-plugins-vp8/Makefile
  head/multimedia/gstreamer1-plugins-vpx/Makefile
  head/multimedia/handbrake/Makefile
  head/multimedia/handbrake/files/patch-contrib_ffmpeg_A90-libvpx-1.5.0.patch
  head/multimedia/libav/Makefile
  head/multimedia/libav/files/patch-libavcodec_libvpxenc.c
  head/multimedia/libvpx/Makefile
  head/multimedia/libvpx/distinfo
  head/multimedia/libvpx/files/patch-configure
  head/multimedia/libvpx/files/patch-vp9_common_vp9__filter.c
  head/multimedia/libvpx/pkg-plist
  head/multimedia/mplayer/Makefile
  head/multimedia/mplayer/files/patch-ffmpeg_libavcodec_libvpxenc.c
  head/net/mediastreamer/Makefile
  head/net-im/qTox/Makefile
  head/net-im/tox/Makefile
  head/net-im/toxic/Makefile
  head/net-im/uTox/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/libxul/Makefile
  head/www/seamonkey/Makefile
  head/x11/xpra/Makefile